Rotate ''cropbox or view'' via Id

Finally found a solution Thanks Mr. Konrad
And under another fairly similar approach, to Mr. Marcel too, for having shed light on my lantern towards a comparison approach with his little blue circle on another post

#Preparation work
Line_axis=Line.CreateBound(Point_rotate,XYZ(Point_rotate.X,Point_rotate.Y,Point_rotate.Z+1))
TransactionManager.Instance.EnsureInTransaction(doc)
Elem_view.CropBoxVisible = True
doc.Regenerate()
cont=FilteredElementCollector(doc, Elem_view.Id).ToElements()
a=[e for e in cont if e.Name==Elem_view.Name]
elt_to_rotate=a[0]
transf=ElementTransformUtils.RotateElement(doc,elt_to_rotate.Id,Line_axis,angle_rotate)
TransactionManager.Instance.TransactionTaskDone()

OUT = elt_to_rotate

cordially
christian.stan